using System;

internal sealed class Delegate182 : MulticastDelegate
{
	public extern object Invoke(object object_0, object object_1);

	public static object smethod_0(object object_0, object object_1, Delegate182 delegate182_1)
	{
		return delegate182_1(object_0, object_1);
	}

	public extern Delegate182(object object_0, IntPtr intptr_0);

	static Delegate182()
	{
		Class10.smethod_13(typeof(Delegate182).TypeHandle);
	}

	internal static Delegate182 delegate182_0;
}
